<?php
/*------------------------------------------------------------------------
# mod_jo_facebookrecommendations - JO Facebook Recommendations for Joomla 1.6, 1.7, 2.5 Plugin
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2011 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die ('Restricted access');
class modJoFacebookrecommendations {
	function getRecommendations($params)
	{
		$domain = trim($params->get('rdomain'));
		$width	= trim($params->get('rwidth'));
		$height	= trim($params->get('rheight'));
		$showheader	=	trim($params->get('rshowheader'));
		$colorscheme	= trim($params->get('rcolorscheme'));
		$border	= trim($params->get('rborder'));
		$appid = trim($params->get('appid'));
		$languagefb= trim($params->get('languagefb'));
		$linktarget = trim($params->get('linktarget'));
		$fbrecommendations='
			<div id="fb-root"></div>
			<script>(function(d, s, id) {
				  var js, fjs = d.getElementsByTagName(s)[0];
				  if (d.getElementById(id)) {return;}
				  js = d.createElement(s); js.id = id;
				  js.src = "//connect.facebook.net/'.$languagefb.'/all.js#xfbml=1&appId='.$appid.'";
				  fjs.parentNode.insertBefore(js, fjs);
				}(document, "script", "facebook-jssdk"));
			</script>
			<div class="fb-recommendations" 
				data-site="'.$domain.'"
				data-width="'.$width.'" 
				data-height="'.$height.'"
				data-header="'.$showheader.'" 
				data-colorscheme="'.$colorscheme.'" 
				data-linktarget="'.$linktarget.'" 
				data-border-color="'.$border.'">
			</div>
		';
		
		return $fbrecommendations;
	}
}

?>
